Package com.xebialabs.xlrelease.domain.events

# Class TaskCompletedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TaskCompletedEvent

All Implemented Interfaces:
  `TaskEvent`, `TaskExecutionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskCompletedEvent extends Object implements TaskExecutionEvent, scala.Product, Serializable
Event published when a task has been completed.

param: task instance of the task. param: inAdvance `true` if this task was completed in advance, `false` if it has just finished executing.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskCompletedEvent(Task task, boolean inAdvance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskCompletedEvent`
  `apply(Task task, boolean inAdvance)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskCompletedEvent`
  `copy(Task task, boolean inAdvance)`
  `Task`
  `copy$default$1()`
  `boolean`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `boolean`
  `inAdvance()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  The task of which status has changed.
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Task,Object>>`
  `unapply(TaskCompletedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskCompletedEvent

    public TaskCompletedEvent(Task task, boolean inAdvance)

- ## Method Details

  - ### apply

    public static TaskCompletedEvent apply(Task task, boolean inAdvance)

  - ### unapply

    public static scala.Option<scala.Tuple2<Task,Object>> unapply(TaskCompletedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()
    Description copied from interface: `TaskExecutionEvent`
    The task of which status has changed.
    Specified by:
      `task` in interface `TaskExecutionEvent`
    Returns:
      (undocumented)

  - ### inAdvance

    public boolean inAdvance()

  - ### copy

    public TaskCompletedEvent copy(Task task, boolean inAdvance)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public boolean copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`